Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::ResNSel Class Reference

Holds the information on the success of queries that don't return any results. More...

`#include <result.h>`

Collaboration diagram for mysqlpp::ResNSel:

[legend]
List of all members.

## Public Methods

| ResNSel (Connection *q)
| Initialize object.
| operator bool ()
| Returns true if the query was successful.

## Public Attributes

bool | success
| if true, query was successful
my_ulonglong | insert_id
| last value used for AUTO_INCREMENT field
my_ulonglong | rows
| number of rows affected
std::string | info
| additional info about query result

## Detailed Description

Holds the information on the success of queries that don't return any results.

The documentation for this class was generated from the following files:

- result.h
- result.cpp